LINUX.ORG.RU

Ответ на: комментарий от deepforest

Хорошо.

Nouveau, как узнать установенную версию и установить другую?

Ответ на твой вопрос: nouveau является частью ядра и имеет ту же версию, что и остальное ядро.

Ты в прошлой теме упомянул, что ты nouveau заблеклистил. Если это так, то у тебя nouveau не используется вообще.

Чтобы понять, загружен ли у тебя модуль ядра nouveau или нет, надо смотреть вывод lsmod.

Deleted ()
Ответ на: комментарий от Deleted

Я корректно удалил проприетарный. При этом блэклистинг снялся. Команда показывает что используется свободный драйвер. Просто я не понимаю почему в Дебиане на свободных Блендер правильно работает, а в tumbleweed нет. Видимо баги в свободных дровах. Создал багрепорт на Блендер, разработчики открестились от проблемы и отправили меня к разработчикам nouveau. Так как Блендер официально не поддерживает nouveau.

nouveau является частью ядра и имеет ту же версию, что и остальное ядро.

Ясно. Спасибо. То есть изменить версию без вариантов?

deepforest ★★★ ()
Последнее исправление: deepforest (всего исправлений: 1)
Ответ на: комментарий от deepforest

Команда показывает что используется свободный драйвер.

Какая команда показывает? Что конкретно показывает?

Просто я не понимаю почему в Дебиане на свободных Блендер правильно работает, а в tumbleweed нет.

Так давай же разберёмся с этим уже. Без конкретики (логов, вывода команд) совершенно точно ничего не выйдет.

Если модуль ядра nouveau всё-таки реально используется (а я в этом сомневаюсь, так как вывод lsmod ты не хочешь показывать), то возможно проблема в том, что проприетарный драйвер nvidia заменил при установке что-то в системе (например библиотеки mesa), а при удалении не вернул обратно. Или вернул, но не те.

Видимо баги в свободных дровах.

Может быть. Или нет. Информации недостаточно чтобы точно что-либо сказать.

Ясно. Спасибо. То есть изменить версию без вариантов?

Ещё раз внимательно прочитай моё сообщение. Версия меняется очень легко - просто установкой другой версии ядра.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от Deleted
linux-6a8l:/home/deepforest # lspci -nnk | grep -A3 VGA
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G92 [GeForce 9800 GTX+] [10de:0613] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. [MSI] Device [1462:1541]
	Kernel driver in use: nouveau
	Kernel modules: nouveau
linux-6a8l:/home/deepforest # 
deepforest@linux-6a8l:~> glxinfo|egrep 'OpenGL|^direct' 
direct rendering: Yes
OpenGL vendor string: nouveau
OpenGL renderer string: NV92
OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.3.2
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.3 (Compatibility Profile) Mesa 18.3.2
OpenGL shading language version string: 3.30
OpenGL context flags: (none)
OpenGL profile mask: compatibility profile
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.3.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:
deepforest@linux-6a8l:~> 

Ещё раз внимательно прочитай моё сообщение. Версия меняется очень легко - просто установкой другой версии ядра.

Если бы я знал как легко менять версии ядер, я бы не спрашивал

Вот багрепорт Там видео. Глюк в tumbleweed в блендере вместо блика от света на объектах - черный круг

deepforest ★★★ ()
Последнее исправление: deepforest (всего исправлений: 3)
Ответ на: комментарий от deepforest

Ок, значит всё прогрузилось.

Вот багрепорт Там видео. Глюк в tumbleweed в блендере вместо блика от света на объектах - черный круг

ИМХО, тут скорее юзерспейсная часть драйвера nouveau виновата, чем ядро (чтобы сказать точно - надо в tumbleweed поставить ту же версию ядра, что стоит у тебя в дебиане).

Попробуй зарепортить то же самое в nouveau: https://nouveau.freedesktop.org/wiki/Bugs/. И не забудь указать, что в одной версии ядра+mesa всё работает, а в другой - нет.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от Deleted

Аллилуйя! Слава Миронову Ивану и Линуксу! Понизил версию ядра с 5 до 4.20 и все заработало. Правда эти 304.107 проприетарные дрова хоть и быстрые, но не корректно работают с ЕВА рендером Блендера, так как тоже самое с ними же и на Венде и на Дебиане. Ну и фиг с этим) Главное, что все работает и то, какой я опыт получил)

deepforest ★★★ ()
Ответ на: комментарий от Deleted

Это я еще не выяснил. Завтра попробую поставить свободные и выяснить работает ли с ними корректно блендер. Так как когда понижал ядро, после этого

zypper install --oldpackage kernel-default-4.20.6-1.6
автоматом поставились проприетарные

deepforest ★★★ ()
Последнее исправление: deepforest (всего исправлений: 1)